Skip to main content
GET
/
service-lines
/
{lin_code}
/
usage
Get service line usage metrics
curl --request GET \
  --url https://api.scrums.com/v1/service-lines/{lin_code}/usage \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "service_line_id": "LIN-26-084729",
    "period": {
      "from": "2026-03-01",
      "to": "2026-03-31"
    },
    "metrics": [
      {
        "metric": "engineer_days",
        "quantity": 40,
        "unit": "days",
        "cost": 12000,
        "currency": "USD"
      },
      {
        "metric": "ci_minutes",
        "quantity": 8500,
        "unit": "minutes",
        "cost": 85,
        "currency": "USD"
      }
    ],
    "total_cost": 12085,
    "currency": "USD"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lin_code
string
required

The unique identifier of the Service Line.

Pattern: ^LIN-

Query Parameters

from
string<date>

Start date for the usage period (YYYY-MM-DD).

to
string<date>

End date for the usage period (YYYY-MM-DD).

Response

Usage and cost metrics for the service line.

data
object
Last modified on April 15, 2026